Bug 32866 - [TASK]: Improve precision for calulation with big numbers
Summary: [TASK]: Improve precision for calulation with big numbers
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 32834 32862 39293
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-05 21:59 UTC by Rainer Bielefeld Retired
Modified: 2013-09-01 11:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-01-05 21:59:49 UTC
This is the Meta issue to track problems the current limitations of floating point calulation causes. Please add related Bug reports as "Depends on" with a short comment here why you want to see needs to improve the particular problem.
Comment 1 Rainer Bielefeld Retired 2011-01-05 22:06:18 UTC
Please feel free to reassign:

@Regina: please feel free to leave CC or to add other Bug you found!

Nominate: Bug 32834 - bad result using mdeterm

Nominate: Bug 32862 - Improve precision of function MOD() for big numbers 
          (7^19 mod 13 is 6 not 7)
Comment 2 Rainer Bielefeld Retired 2011-07-17 00:11:06 UTC
Bug 39293 - Big integers do not subtract correctly
Comment 3 Markus Mohrhard 2011-07-22 10:58:01 UTC
do we really want to do this? this would be a huge mess and would decrease calc's performance extremely

and even worse it would force us to write our own implementation for nearly every mathematical function
Comment 4 retired 2013-09-01 11:43:12 UTC
Setting to WONTFIX as of Markus' comment #3.